Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class InstanceAdvisorDelegate

    java.lang.Object
      org.jboss.aop.InstanceAdvisorDelegate

All Implemented Interfaces:
  Serializable

public class InstanceAdvisorDelegate
extends Object
implements Serializable

Initialisation and getting of instance and joinpoint aspects needed by the various kinds of InstanceAdvisor implementations

Version:
  $Revision: 1.4 $
Author:
  Kabir Khan
See Also:
  Serialized Form

Field Summary
`protected WeakHashMap` | `aspects`
`protected WeakReference` | `classAdvisor`
`protected WeakHashMap` | `joinpointAspects`
`protected SimpleMetaData` | `metadata`

Constructor Summary
`InstanceAdvisorDelegate(Advisor classAdvisor, InstanceAdvisor instanceAdvisor)`

Method Summary
`Advisor` | `getAdvisor()`
`SimpleMetaData` | `getMetaData()`
`Object` | `getPerInstanceAspect(AspectDefinition def)`
`Object` | `getPerInstanceAspect(String def)`
`Object` | `getPerInstanceJoinpointAspect(Joinpoint joinpoint, AspectDefinition def)`
`void` | `initialize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classAdvisor

    protected transient WeakReference classAdvisor

### aspects

    protected transient WeakHashMap aspects

### joinpointAspects

    protected transient WeakHashMap joinpointAspects

### metadata

    protected SimpleMetaData metadata

Constructor Detail

### InstanceAdvisorDelegate

    public InstanceAdvisorDelegate(Advisor classAdvisor,
                                   InstanceAdvisor instanceAdvisor)

Method Detail

### getAdvisor

    public Advisor getAdvisor()

### initialize

    public void initialize()

### getPerInstanceAspect

    public Object getPerInstanceAspect(String def)

### getPerInstanceAspect

    public Object getPerInstanceAspect(AspectDefinition def)

### getPerInstanceJoinpointAspect

    public Object getPerInstanceJoinpointAspect(Joinpoint joinpoint,
                                                AspectDefinition def)

### getMetaData

    public SimpleMetaData getMetaData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.